<div class="w-full h-80 md:h-[26rem] lg:h-[28rem] xl:h-[38rem] relative">
  <div class="absolute inset-0 bg-cover bg-center filter brightness-[0.40]" [ngStyle]="{'background-image': 'url(' + circuit?.circuit_img + ')'}"></div>
  <div class="text-center lg:text-left text-white pt-24 md:pt-28 lg:pt-36 lg:mx-24 xl:mx-40 xl:pt-56 relative">
    <h1 class="min-[375px]:text-2xl text-xl font-medium md:text-4xl lg:text-5xl xl:text-7xl">{{circuit?.circuit_name}}</h1>
    <p class="text-xs min[375px]:text-base md:text-lg mt-1 xl:text-xl xl:w-3/5">{{circuit?.circuit_description}}</p>
  </div>
  <div class="relative flex justify-center lg:justify-start lg:mx-24 xl:mx-40 mt-9 z-10 xl:text-xl">
    <app-button [buttonText]="isCircuitFollowed === false ? 'Ajouter ce circuit' : 'Circuit terminé'" (click)="toggleCircuitFollow()"></app-button>
  </div>
</div>

<div class="mt-10 md mx-20 xl:mx-40">
  <div class="flex gap-3 mx-5 text-xl lg:text-2xl items-center">
    <i class="fa-solid fa-map-location-dot"></i>
    <p>Itinéraire</p>
    <p class="font-light">{{circuit?.itinerary.itinerary_name}}</p>
  </div>
  
  <div class="container mx-auto mt-10">
    <!-- Timeline container -->
    <div class="relative flex flex-col lg:flex-row items-center lg:space-x-8">
      <!-- Vertical line for mobile -->
      <div class="absolute w-1 lg:hidden bg-gray-300 h-full top-0 left-1/2 transform -translate-x-1/2"></div>
  
      <!-- Timeline item -->
      @for(etape of circuit?.itinerary.steps; track etape){
        <div class="flex flex-col items-center w-full lg:w-1/3 mb-8 lg:mb-0 relative lg:space-y-4">
          <div class="bg-[#C29667] rounded-full h-14 w-14 flex items-center justify-center relative z-10">
            <p class="text-xl text-white">{{etape.step_order}}</p>
          </div>
          <div class="flex-grow mt-4 lg:mt-0 text-center">
            <h2 class="text-xl font-semibold">{{etape.step_name}}</h2>
            <p class="text-gray-600 text-sm">{{etape.step_description}}</p>
          </div>
        </div>
      }
  
      <!-- Horizontal line for desktop -->
      <div class="hidden lg:flex absolute top-4 inset-x-0 h-px bg-gray-300 w-full lg:w-auto" style="width: calc(100% - 4rem);"></div>
    </div>
  </div>
</div>

<div class="my-32 text-center md:text-left md:mx-20 xl:mx-40">
  <div class="md:flex md:flex-row-reverse items-center justify-center">
    <img src="../../../assets/circuit.jpeg" class="w-60 h-60 md:w-52 md:h-52 mx-auto" alt="image circuit">
    <div class="mt-3 lg:w-3/5">
      <p class="font-medium text-lg lg:text-2xl">Les circuits, Qu’est ce que c’est ?</p>
      <p class="mt-3 text-sm mx-2 lg:text-base">
        At vero eos et accusamus et iusto odio dignissimos ducimus qui blanditiis praesentium voluptatum deleniti atque corrupti quos dolores et quas molestias excepturi sint occaecati cupiditate non provident, 
        similique sunt in culpa qui officia deserunt mollitia animi, id est laborum et dolorum fuga.
      </p>
    </div>
  </div>
</div>

<app-spinner [loading]="isLoading"></app-spinner>
<app-popup [message]="successMessage" [duration]="5000"></app-popup>
